Bug 824323 - Please consider updating python-icalendar to 3.0+
Please consider updating python-icalendar to 3.0+
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-icalendar (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 05:42 EDT by Jeroen van Meeuwen
Modified: 2013-06-11 23:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-icalendar-3.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:37:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2012-05-23 05:42:48 EDT
I would appreciate your consideration on bringing python-icalendar-3.0 
to Fedora, as currently an old version (2.1) seems to be the latest 
shipped.

If needed, I'm willing to do the work, but it's probably some other 
packages depend on python-icalendar and they may require 
updating/rebasing on the changed API in python-icalendar 3.0, and I'm 
not sure what help I can be with those packages.

Thank you.
Comment 1 Stanislav Ochotnicky 2012-05-30 08:48:14 EDT
New version needed a few licensing cleanups (see [1]). Fortunately upstream was quick to resolve this so next release should be better. I am also adding timeline owner to cc, since timeline is the only user of python-icalendar in Fedora. API changes have happened, but they are not that hard to patch.

To simplify testing, I've prepared a scratch build[2]. You can install this on F16/17 as well so should be easy to prepare fix for timeline. 

Few things from git repo are still missing in the source tarballs, but that can be solved gradually.


[1] https://github.com/collective/icalendar/pull/51
[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=4114186
Comment 2 Gwyn Ciesla 2012-06-07 10:37:05 EDT
Hi, timeline maintainer here.  So this is actually something of a mess.

First, in looking at this I see that somehow both I and the reviewer failed to notice that timeline bundles all it's python deps, so it's not using the system python-icalendar anyway.  We have everything it needs in Fedora except pySVG, and I'll get that together and submit a review soon.

Second, python-icalendar 2.1 in Fedora 17 at present doesn't seem to work.  Running import icalendar in a python shell fails complaining about timezone even though pytz is installed.  Your scratch build of 3.0b2 works.

Given all this, I'd say go ahead and update to 3.0b at least in rawhide and f17, even possibly f16.  I'll worry about timeline.  Thanks for the heads up.
Comment 3 Gwyn Ciesla 2012-06-07 11:24:50 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=829809

This makes the svg bits on timeline work.
Comment 4 Stanislav Ochotnicky 2012-06-08 03:27:52 EDT
I've built new icalendar for rawhide/F17 and also put it in the buildroot override for F17. However I was not able to reproduce those import problems on F17 (or F16 for that matter). I am actually using icalendar for one project development and didn't see any issues so far. Anyway, this is moot now. 

Jeroen: It might be nice if you could do that package review for Jon to speed up the process :-)
Comment 5 Fedora End Of Life 2013-04-03 16:31:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora Update System 2013-05-30 09:55:18 EDT
python-icalendar-3.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-icalendar-3.4-2.fc19
Comment 7 Fedora Update System 2013-05-30 13:53:41 EDT
Package python-icalendar-3.4-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-icalendar-3.4-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9662/python-icalendar-3.4-2.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-11 23:37:11 EDT
python-icalendar-3.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.